Mailinglist Archive: opensuse (4343 mails)

< Previous Next >
RE: [SLE] Apache problem with PHP4
  • From: "Donald Grayson" <dgrayson@xxxxxxxxxxxxxx>
  • Date: Wed, 6 Nov 2002 12:46:06 -0500
  • Message-id: <NGBBKJBGGLCALMAFBGHMGENNCBAA.dgrayson@xxxxxxxxxxxxxx>


> -----Original Message-----
> From: zentara [mailto:zentara@xxxxxxxxxxx]
> Sent: Wednesday, November 06, 2002 11:41 AM
> To: suse-linux-e@xxxxxxxx
> Subject: Re: [SLE] Apache problem with PHP4
>
>
> On Wed, 6 Nov 2002 10:02:30 -0500
> "Donald Grayson" <dgrayson@xxxxxxxxxxxxxx> wrote:
>
> >I recently installed the ftp version of SuSE 8.1 and am having trouble
> >getting Apache to run with PHP4.
> >
> >Specifically, Apache will not start with mod_php4 installed,
> however it will
> >run fine without it.
> >
> >Short of trying to rebuild php from scratch, anyone have any ideas?
>
> What is the error message that you get when you try
> to run "rcapache start" ?
>
> Do you have the php-core files installed? It's a separate rpm
> from mod_php4.
>
>

I have mod_php4 and mod_php4-core installed. When trying to start apache
from /etc/init.d with "./apache start" it simply returns 'failed', if I try
to start apache from Yast's runlevel editor I get something like "stty: bad
ioctl" and a reference to "php needs libmm.so.12"

Libmm.so.12 is installed in /usr/lib.


< Previous Next >
Follow Ups
References